import request from "@/utils/request"

/* 首页 */

export function addMedicalunion(data = {}) {
  return request({
    url: "/cloud-upms/sys/union/addOrUpdate",
    method: "post",
    data,
  })
}
// 医联体授权
export function baseUnion(data = {}) {
  return request({
    url: "/cloud-upms/user/base/union",
    method: "post",
    data,
  })
}
// 累计上报
export function getRankTotal(params = {}) {
  return request({
    url: "/disease-data/rank/total",
    method: "get",
    params,
  })
}
//当前季度
export function getCurrentQuarter(params = {}) {
  return request({
    url: "/disease-data/rank/currentQuarter",
    method: "get",
    params,
  })
}
export function deleteUnion(id) {
  return request({
    url: `/cloud-upms/sys/union/${id}`,
    method: "delete",
  })
}
